summaryrefslogtreecommitdiff
path: root/recipes
diff options
context:
space:
mode:
authorDmitry Baryshkov <dbaryshkov@gmail.com>2009-04-23 10:53:39 +0400
committerDmitry Baryshkov <dbaryshkov@gmail.com>2009-04-23 10:53:39 +0400
commit18e058e835e080d602c6c4781d5c83e37d66f846 (patch)
tree1648ade21d9068a20d809d94b6466aa44870edc3 /recipes
parent6685e5012a4e8fb988bfa41658db72b33a661d32 (diff)
parent8f6996cef591593fc5347d7643f651cf50d20e89 (diff)
Merge branch 'org.openembedded.dev' of git@git.openembedded.net:openembedded into org.openembedded.dev
Diffstat (limited to 'recipes')
-rw-r--r--recipes/binutils/binutils-2.19.51.0.3/110-arm-eabi-conf.patch22
-rw-r--r--recipes/binutils/binutils-2.19.51.0.3/binutils-2.16.1-e300c2c3.patch18
-rw-r--r--recipes/binutils/binutils-2.19.51.0.3/binutils-2.16.91.0.6-objcopy-rename-errorcode.patch39
-rw-r--r--recipes/binutils/binutils-2.19.51.0.3/binutils-arm-pr7093.patch19
-rw-r--r--recipes/binutils/binutils-2.19.51.0.3/binutils-uclibc-100-uclibc-conf.patch34
-rw-r--r--recipes/binutils/binutils-2.19.51.0.3/binutils-uclibc-300-001_ld_makefile_patch.patch50
-rw-r--r--recipes/binutils/binutils-2.19.51.0.3/binutils-uclibc-300-006_better_file_error.patch43
-rw-r--r--recipes/binutils/binutils-2.19.51.0.3/binutils-uclibc-300-012_check_ldrunpath_length.patch47
-rw-r--r--recipes/binutils/binutils-2.19.51.0.3/binutils-uclibc-gas-needs-libm.patch38
-rw-r--r--recipes/binutils/binutils-canadian-sdk_2.18.50.0.7.bb32
-rw-r--r--recipes/binutils/binutils-cross-sdk_2.19.51.0.3.bb3
-rw-r--r--recipes/binutils/binutils-cross_2.19.51.0.3.bb4
-rw-r--r--recipes/binutils/binutils_2.19.51.0.3.bb19
-rw-r--r--recipes/bustle/bustle-dbus-monitor_0.2.0.bb19
-rw-r--r--recipes/clamav/clamav.inc4
-rw-r--r--recipes/clamav/clamav_0.90.2.bb2
-rw-r--r--recipes/clamav/clamav_0.90.3.bb2
-rw-r--r--recipes/clamav/clamav_0.91.1.bb2
-rw-r--r--recipes/clamav/clamav_0.94.2.bb3
-rw-r--r--recipes/dbus/dbus.inc2
-rw-r--r--recipes/dbus/dbus_1.2.1.bb2
-rw-r--r--recipes/dialog/dialog-1.0-20050306/configure.patch37
-rw-r--r--recipes/dialog/dialog-1.0-20050306/m4.patch6979
-rw-r--r--recipes/dialog/dialog-1.0-20050306/templates.patch25
-rw-r--r--recipes/dialog/dialog-static_1.0-20050306.bb4
-rw-r--r--recipes/dialog/dialog-static_1.1-20080819.bb3
-rw-r--r--recipes/dialog/dialog.inc9
-rw-r--r--recipes/dialog/dialog_1.1-20080819.bb1
-rw-r--r--recipes/flickcurl/flickcurl_1.9.bb22
-rw-r--r--recipes/images/console-base-image.bb6
-rw-r--r--recipes/images/console-image.bb6
-rw-r--r--recipes/images/gnuradio-image.bb6
-rw-r--r--recipes/iputils/files/debian/add-icmp-return-codes.diff41
-rw-r--r--recipes/iputils/files/debian/cleanup-docbook-formatting.diff20
-rw-r--r--recipes/iputils/files/debian/fix-arping-timeouts.diff24
-rw-r--r--recipes/iputils/files/debian/fix-cmsghdr-offset-bug.diff19
-rw-r--r--recipes/iputils/files/debian/fix-dead-host-ping-stats.diff17
-rw-r--r--recipes/iputils/files/debian/fix-tracepath-docs.diff23
-rw-r--r--recipes/iputils/files/debian/targets.diff27
-rw-r--r--recipes/iputils/files/debian/use_gethostbyname2.diff29
-rw-r--r--recipes/iputils/files/iputils_20071127-1.diff.gzbin0 -> 8924 bytes
-rw-r--r--recipes/iputils/iputils_20071127.bb79
-rw-r--r--recipes/linux/linux.inc3
-rw-r--r--recipes/siproxd/files/no-docs.patch38
-rw-r--r--recipes/siproxd/files/siproxd.init59
-rw-r--r--recipes/siproxd/siproxd.inc40
-rw-r--r--recipes/siproxd/siproxd_0.7.1.bb3
47 files changed, 865 insertions, 7059 deletions
diff --git a/recipes/binutils/binutils-2.19.51.0.3/110-arm-eabi-conf.patch b/recipes/binutils/binutils-2.19.51.0.3/110-arm-eabi-conf.patch
new file mode 100644
index 0000000000..2623301da0
--- /dev/null
+++ b/recipes/binutils/binutils-2.19.51.0.3/110-arm-eabi-conf.patch
@@ -0,0 +1,22 @@
+--- /tmp/configure.ac 2008-06-22 14:14:59.000000000 +0200
++++ binutils-2.18.50.0.7/configure.ac 2008-06-22 14:15:30.000000000 +0200
+@@ -561,7 +561,7 @@
+ noconfigdirs="$noconfigdirs target-libffi target-qthreads"
+ libgloss_dir=arm
+ ;;
+- arm*-*-linux-gnueabi)
++ arm*-*-linux-gnueabi | arm*-*-linux-uclibcgnueabi)
+ noconfigdirs="$noconfigdirs target-qthreads"
+ noconfigdirs="$noconfigdirs target-libobjc"
+ case ${with_newlib} in
+--- /tmp/configure 2008-06-22 14:17:11.000000000 +0200
++++ binutils-2.18.50.0.7/configure 2008-06-22 14:17:56.000000000 +0200
+@@ -2307,7 +2307,7 @@
+ noconfigdirs="$noconfigdirs target-libffi target-qthreads"
+ libgloss_dir=arm
+ ;;
+- arm*-*-linux-gnueabi)
++ arm*-*-linux-gnueabi | arm*-*-linux-uclibcgnueabi)
+ noconfigdirs="$noconfigdirs target-qthreads"
+ noconfigdirs="$noconfigdirs target-libobjc"
+ case ${with_newlib} in
diff --git a/recipes/binutils/binutils-2.19.51.0.3/binutils-2.16.1-e300c2c3.patch b/recipes/binutils/binutils-2.19.51.0.3/binutils-2.16.1-e300c2c3.patch
new file mode 100644
index 0000000000..dfe9b18e17
--- /dev/null
+++ b/recipes/binutils/binutils-2.19.51.0.3/binutils-2.16.1-e300c2c3.patch
@@ -0,0 +1,18 @@
+Adds support for Freescale Power architecture e300c2 and e300c3 cores.
+http://www.bitshrine.org/gpp/tc-fsl-x86lnx-e300c3-nptl-4.0.2-2.src.rpm
+
+Leon Woestenberg <leonw@mailcan.com>
+
+Index: binutils-2.19.51.0.3/opcodes/ppc-dis.c
+===================================================================
+--- binutils-2.19.51.0.3.orig/opcodes/ppc-dis.c 2009-04-16 00:38:45.000000000 -0700
++++ binutils-2.19.51.0.3/opcodes/ppc-dis.c 2009-04-16 00:43:56.000000000 -0700
+@@ -132,6 +132,8 @@
+ | PPC_OPCODE_POWER6 | PPC_OPCODE_POWER7 | PPC_OPCODE_ALTIVEC
+ | PPC_OPCODE_VSX),
+ 0 },
++ { "pmr", (PPC_OPCODE_PMR),
++ 0 },
+ { "ppc", (PPC_OPCODE_PPC | PPC_OPCODE_CLASSIC | PPC_OPCODE_32),
+ 0 },
+ { "ppc32", (PPC_OPCODE_PPC | PPC_OPCODE_CLASSIC | PPC_OPCODE_32),
diff --git a/recipes/binutils/binutils-2.19.51.0.3/binutils-2.16.91.0.6-objcopy-rename-errorcode.patch b/recipes/binutils/binutils-2.19.51.0.3/binutils-2.16.91.0.6-objcopy-rename-errorcode.patch
new file mode 100644
index 0000000000..8df5b1fea0
--- /dev/null
+++ b/recipes/binutils/binutils-2.19.51.0.3/binutils-2.16.91.0.6-objcopy-rename-errorcode.patch
@@ -0,0 +1,39 @@
+# strip (and objcopy) fail to set the error code if there is no
+# output file name and the rename of the stripped (or copied) file
+# fails, yet the command fails to do anything. This fixes both
+# objcopy and strip.
+#
+# modification by bero: Ported to 2.16.91.0.6
+#
+#Signed-off-by: John Bowler <jbowler@acm.org>
+#Signed-off-by: Bernhard Rosenkraenzer <bero@arklinux.org>
+---
+# binutils/objcopy.c | 8 +++++---
+# 1 file changed, 5 insertions(+), 3 deletions(-)
+#
+Index: src/binutils/objcopy.c
+===================================================================
+--- src.orig/binutils/objcopy.c 2007-08-09 13:26:03.000000000 +0100
++++ src/binutils/objcopy.c 2007-08-09 16:36:12.000000000 +0100
+@@ -2787,8 +2787,9 @@ strip_main (int argc, char *argv[])
+ if (preserve_dates)
+ set_times (tmpname, &statbuf);
+ if (output_file != tmpname)
+- smart_rename (tmpname, output_file ? output_file : argv[i],
+- preserve_dates);
++ if (smart_rename (tmpname, output_file ? output_file : argv[i],
++ preserve_dates))
++ hold_status = 1;
+ status = hold_status;
+ }
+ else
+@@ -3411,7 +3412,8 @@ copy_main (int argc, char *argv[])
+ if (preserve_dates)
+ set_times (tmpname, &statbuf);
+ if (tmpname != output_filename)
+- smart_rename (tmpname, input_filename, preserve_dates);
++ if (smart_rename (tmpname, input_filename, preserve_dates))
++ status = 1;
+ }
+ else
+ unlink_if_ordinary (tmpname);
diff --git a/recipes/binutils/binutils-2.19.51.0.3/binutils-arm-pr7093.patch b/recipes/binutils/binutils-2.19.51.0.3/binutils-arm-pr7093.patch
new file mode 100644
index 0000000000..ad4a556e0f
--- /dev/null
+++ b/recipes/binutils/binutils-2.19.51.0.3/binutils-arm-pr7093.patch
@@ -0,0 +1,19 @@
+Index: binutils/bfd/elf32-arm.c
+===================================================================
+RCS file: /cvs/src/src/bfd/elf32-arm.c,v
+retrieving revision 1.162
+retrieving revision 1.163
+diff -u -r1.162 -r1.163
+--- binutils/bfd/elf32-arm.c 23 Dec 2008 09:01:45 -0000 1.162
++++ binutils/bfd/elf32-arm.c 23 Dec 2008 11:46:17 -0000 1.163
+@@ -4608,6 +4608,10 @@
+ Elf_Internal_Shdr *hdr;
+ unsigned int i, localsyms;
+
++ /* PR 7093: Make sure that we are dealing with an arm elf binary. */
++ if (! is_arm_elf (abfd))
++ return;
++
+ if ((abfd->flags & DYNAMIC) != 0)
+ return;
+
diff --git a/recipes/binutils/binutils-2.19.51.0.3/binutils-uclibc-100-uclibc-conf.patch b/recipes/binutils/binutils-2.19.51.0.3/binutils-uclibc-100-uclibc-conf.patch
new file mode 100644
index 0000000000..8de04e0fe0
--- /dev/null
+++ b/recipes/binutils/binutils-2.19.51.0.3/binutils-uclibc-100-uclibc-conf.patch
@@ -0,0 +1,34 @@
+--- binutils-2.18.orig/configure
++++ binutils-2.18/configure
+@@ -2206,7 +2206,7 @@
+ am33_2.0-*-linux*)
+ noconfigdirs="$noconfigdirs ${libgcj} target-newlib target-libgloss"
+ ;;
+- sh-*-linux*)
++ sh*-*-linux*)
+ noconfigdirs="$noconfigdirs ${libgcj} target-newlib target-libgloss"
+ ;;
+ sh*-*-pe|mips*-*-pe|*arm-wince-pe)
+@@ -2504,7 +2504,7 @@
+ romp-*-*)
+ noconfigdirs="$noconfigdirs bfd binutils ld gas opcodes target-libgloss ${libgcj}"
+ ;;
+- sh-*-* | sh64-*-*)
++ sh*-*-* | sh64-*-*)
+ case "${host}" in
+ i[3456789]86-*-vsta) ;; # don't add gprof back in
+ i[3456789]86-*-go32*) ;; # don't add gprof back in
+--- binutils-2.18.orig/gprof/configure
++++ binutils-2.18/gprof/configure
+@@ -4124,6 +4124,11 @@
+ lt_cv_deplibs_check_method=pass_all
+ ;;
+
++linux-uclibc*)
++ lt_cv_deplibs_check_method=pass_all
++ lt_cv_file_magic_test_file=`echo /lib/libuClibc-*.so`
++ ;;
++
+ netbsd*)
+ if echo __ELF__ | $CC -E - | $GREP __ELF__ > /dev/null; then
+ lt_cv_deplibs_check_method='match_pattern /lib[^/]+(\.so\.[0-9]+\.[0-9]+|_pic\.a)$'
diff --git a/recipes/binutils/binutils-2.19.51.0.3/binutils-uclibc-300-001_ld_makefile_patch.patch b/recipes/binutils/binutils-2.19.51.0.3/binutils-uclibc-300-001_ld_makefile_patch.patch
new file mode 100644
index 0000000000..04a7e61e25
--- /dev/null
+++ b/recipes/binutils/binutils-2.19.51.0.3/binutils-uclibc-300-001_ld_makefile_patch.patch
@@ -0,0 +1,50 @@
+#!/bin/sh -e
+## 001_ld_makefile_patch.dpatch
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: Description: correct where ld scripts are installed
+## DP: Author: Chris Chimelis <chris@debian.org>
+## DP: Upstream status: N/A
+## DP: Date: ??
+
+if [ $# -ne 1 ]; then
+ echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+ exit 1
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch}"
+
+case "$1" in
+ -patch) patch $patch_opts -p1 < $0;;
+ -unpatch) patch $patch_opts -p1 -R < $0;;
+ *)
+ echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+ exit 1;;
+esac
+
+exit 0
+
+@DPATCH@
+--- binutils-2.16.91.0.1/ld/Makefile.am
++++ binutils-2.16.91.0.1/ld/Makefile.am
+@@ -20,7 +20,7 @@
+ # We put the scripts in the directory $(scriptdir)/ldscripts.
+ # We can't put the scripts in $(datadir) because the SEARCH_DIR
+ # directives need to be different for native and cross linkers.
+-scriptdir = $(tooldir)/lib
++scriptdir = $(libdir)
+
+ EMUL = @EMUL@
+ EMULATION_OFILES = @EMULATION_OFILES@
+--- binutils-2.16.91.0.1/ld/Makefile.in
++++ binutils-2.16.91.0.1/ld/Makefile.in
+@@ -268,7 +268,7 @@
+ # We put the scripts in the directory $(scriptdir)/ldscripts.
+ # We can't put the scripts in $(datadir) because the SEARCH_DIR
+ # directives need to be different for native and cross linkers.
+-scriptdir = $(tooldir)/lib
++scriptdir = $(libdir)
+ BASEDIR = $(srcdir)/..
+ BFDDIR = $(BASEDIR)/bfd
+ INCDIR = $(BASEDIR)/include
diff --git a/recipes/binutils/binutils-2.19.51.0.3/binutils-uclibc-300-006_better_file_error.patch b/recipes/binutils/binutils-2.19.51.0.3/binutils-uclibc-300-006_better_file_error.patch
new file mode 100644
index 0000000000..f337611edf
--- /dev/null
+++ b/recipes/binutils/binutils-2.19.51.0.3/binutils-uclibc-300-006_better_file_error.patch
@@ -0,0 +1,43 @@
+#!/bin/sh -e
+## 006_better_file_error.dpatch by David Kimdon <dwhedon@gordian.com>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: Specify which filename is causing an error if the filename is a
+## DP: directory. (#45832)
+
+if [ $# -ne 1 ]; then
+ echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+ exit 1
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch}"
+
+case "$1" in
+ -patch) patch $patch_opts -p1 < $0;;
+ -unpatch) patch $patch_opts -p1 -R < $0;;
+ *)
+ echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+ exit 1;;
+esac
+
+exit 0
+
+@DPATCH@
+diff -urNad /home/james/debian/packages/binutils/binutils-2.14.90.0.6/bfd/opncls.c binutils-2.14.90.0.6/bfd/opncls.c
+--- /home/james/debian/packages/binutils/binutils-2.14.90.0.6/bfd/opncls.c 2003-07-23 16:08:09.000000000 +0100
++++ binutils-2.14.90.0.6/bfd/opncls.c 2003-09-10 22:35:00.000000000 +0100
+@@ -150,6 +150,13 @@
+ {
+ bfd *nbfd;
+ const bfd_target *target_vec;
++ struct stat s;
++
++ if (stat (filename, &s) == 0)
++ if (S_ISDIR(s.st_mode)) {
++ bfd_set_error (bfd_error_file_not_recognized);
++ return NULL;
++ }
+
+ nbfd = _bfd_new_bfd ();
+ if (nbfd == NULL)
diff --git a/recipes/binutils/binutils-2.19.51.0.3/binutils-uclibc-300-012_check_ldrunpath_length.patch b/recipes/binutils/binutils-2.19.51.0.3/binutils-uclibc-300-012_check_ldrunpath_length.patch
new file mode 100644
index 0000000000..498651a90c
--- /dev/null
+++ b/recipes/binutils/binutils-2.19.51.0.3/binutils-uclibc-300-012_check_ldrunpath_length.patch
@@ -0,0 +1,47 @@
+#!/bin/sh -e
+## 012_check_ldrunpath_length.dpatch by Chris Chimelis <chris@debian.org>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: Only generate an RPATH entry if LD_RUN_PATH is not empty, for
+## DP: cases where -rpath isn't specified. (#151024)
+
+if [ $# -ne 1 ]; then
+ echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+ exit 1
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch}"
+
+case "$1" in
+ -patch) patch $patch_opts -p1 < $0;;
+ -unpatch) patch $patch_opts -p1 -R < $0;;
+ *)
+ echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+ exit 1;;
+esac
+
+exit 0
+
+@DPATCH@
+diff -urNad /home/james/debian/packages/binutils/new/binutils-2.15/ld/emultempl/elf32.em binutils-2.15/ld/emultempl/elf32.em
+--- /home/james/debian/packages/binutils/new/binutils-2.15/ld/emultempl/elf32.em 2004-05-21 23:12:58.000000000 +0100
++++ binutils-2.15/ld/emultempl/elf32.em 2004-05-21 23:12:59.000000000 +0100
+@@ -692,6 +692,8 @@
+ && command_line.rpath == NULL)
+ {
+ lib_path = (const char *) getenv ("LD_RUN_PATH");
++ if ((lib_path) && (strlen (lib_path) == 0))
++ lib_path = NULL;
+ if (gld${EMULATION_NAME}_search_needed (lib_path, &n,
+ force))
+ break;
+@@ -871,6 +873,8 @@
+ rpath = command_line.rpath;
+ if (rpath == NULL)
+ rpath = (const char *) getenv ("LD_RUN_PATH");
++ if ((rpath) && (strlen (rpath) == 0))
++ rpath = NULL;
+ if (! (bfd_elf_size_dynamic_sections
+ (output_bfd, command_line.soname, rpath,
+ command_line.filter_shlib,
diff --git a/recipes/binutils/binutils-2.19.51.0.3/binutils-uclibc-gas-needs-libm.patch b/recipes/binutils/binutils-2.19.51.0.3/binutils-uclibc-gas-needs-libm.patch
new file mode 100644
index 0000000000..db838cf20c
--- /dev/null
+++ b/recipes/binutils/binutils-2.19.51.0.3/binutils-uclibc-gas-needs-libm.patch
@@ -0,0 +1,38 @@
+Source: Khem Raj <raj.khem@gmail.com>
+Disposition: submit upstream.
+
+Description:
+
+We do not need to have the libtool patch anymore for binutils after
+libtool has been updated upstream it include support for it. However
+for building gas natively on uclibc systems we have to link it with
+-lm so that it picks up missing symbols.
+
+/local/build_area/BUILD/arm_v5t_le_uclibc/binutils-2.17.50/objdir/libiberty/pic/libiberty.a(floatformat.o): In function `floatformat_from_double':
+floatformat.c:(.text+0x1ec): undefined reference to `frexp'
+floatformat.c:(.text+0x2f8): undefined reference to `ldexp'
+/local/build_area/BUILD/arm_v5t_le_uclibc/binutils-2.17.50/objdir/libiberty/pic/libiberty.a(floatformat.o): In function `floatformat_to_double':
+floatformat.c:(.text+0x38a): undefined reference to `ldexp'
+floatformat.c:(.text+0x3d2): undefined reference to `ldexp'
+floatformat.c:(.text+0x43e): undefined reference to `ldexp' floatformat.c:(.text+0x4e2): undefined reference to `ldexp'
+collect2: ld returned 1 exit status
+make[4]: *** [as-new] Error 1
+
+Index: binutils-2.17.50/gas/configure.tgt
+===================================================================
+--- binutils-2.17.50.orig/gas/configure.tgt
++++ binutils-2.17.50/gas/configure.tgt
+@@ -408,6 +408,12 @@ case ${generic_target} in
+ *-*-netware) fmt=elf em=netware ;;
+ esac
+
++case ${generic_target} in
++ arm-*-*uclibc*)
++ need_libm=yes
++ ;;
++esac
++
+ case ${cpu_type} in
+ alpha | arm | i386 | ia64 | mips | ns32k | pdp11 | ppc | sparc | z80 | z8k)
+ bfd_gas=yes
+
diff --git a/recipes/binutils/binutils-canadian-sdk_2.18.50.0.7.bb b/recipes/binutils/binutils-canadian-sdk_2.18.50.0.7.bb
new file mode 100644
index 0000000000..e44e7b7144
--- /dev/null
+++ b/recipes/binutils/binutils-canadian-sdk_2.18.50.0.7.bb
@@ -0,0 +1,32 @@
+SECTION = "devel"
+require binutils_${PV}.bb
+inherit canadian-sdk
+
+DEPENDS="\
+ virtual/${HOST_PREFIX}binutils \
+ virtual/${HOST_PREFIX}gcc \
+ flex-native bison-native \
+"
+
+FILESDIR = "${@os.path.dirname(bb.data.getVar('FILE',d,1))}/binutils-${PV}"
+# On MinGW hosts we want to prepend a drive letter, in ${SDK_REALPATH_MINGW}
+# to the sysroot path.
+SYSROOT = "${@['${SDK_REALPATH}/${TARGET_SYS}', '${SDK_REALPATH_MINGW}${SDK_REALPATH}/${TARGET_SYS}'][bb.data.getVar('SDK_OS', d, 1) in ['mingw32', 'mingw64']]}"
+EXTRA_OECONF = "--with-sysroot=${SYSROOT} \
+ --program-prefix=${TARGET_PREFIX}"
+PR = "r4"
+
+FILES_${PN}-dbg += "${prefix}/${TARGET_SYS}/bin/.debug"
+
+do_stage() {
+ :
+}
+
+do_install () {
+ autotools_do_install
+
+ # Install the libiberty header
+ install -d ${D}${includedir}
+ install -m 644 ${S}/include/ansidecl.h ${D}${includedir}
+ install -m 644 ${S}/include/libiberty.h ${D}${includedir}
+}
diff --git a/recipes/binutils/binutils-cross-sdk_2.19.51.0.3.bb b/recipes/binutils/binutils-cross-sdk_2.19.51.0.3.bb
new file mode 100644
index 0000000000..76dff5449f
--- /dev/null
+++ b/recipes/binutils/binutils-cross-sdk_2.19.51.0.3.bb
@@ -0,0 +1,3 @@
+require binutils_${PV}.bb
+require binutils-cross-sdk.inc
+PR = "r0"
diff --git a/recipes/binutils/binutils-cross_2.19.51.0.3.bb b/recipes/binutils/binutils-cross_2.19.51.0.3.bb
new file mode 100644
index 0000000000..b78a30ac47
--- /dev/null
+++ b/recipes/binutils/binutils-cross_2.19.51.0.3.bb
@@ -0,0 +1,4 @@
+FILESDIR = "${@os.path.dirname(bb.data.getVar('FILE',d,1))}/binutils-${PV}"
+require binutils_${PV}.bb
+require binutils-cross.inc
+
diff --git a/recipes/binutils/binutils_2.19.51.0.3.bb b/recipes/binutils/binutils_2.19.51.0.3.bb
new file mode 100644
index 0000000000..7808d3b534
--- /dev/null
+++ b/recipes/binutils/binutils_2.19.51.0.3.bb
@@ -0,0 +1,19 @@
+PR = "r0"
+
+require binutils.inc
+
+SRC_URI = "\
+ ${KERNELORG_MIRROR}/pub/linux/devel/binutils/binutils-${PV}.tar.bz2 \
+ file://binutils-2.16.91.0.6-objcopy-rename-errorcode.patch;patch=1 \
+ file://binutils-uclibc-100-uclibc-conf.patch;patch=1 \
+ file://110-arm-eabi-conf.patch;patch=1 \
+ file://binutils-uclibc-300-001_ld_makefile_patch.patch;patch=1 \
+ file://binutils-uclibc-300-006_better_file_error.patch;patch=1 \
+ file://binutils-uclibc-300-012_check_ldrunpath_length.patch;patch=1 \
+ file://binutils-uclibc-gas-needs-libm.patch;patch=1 \
+ file://binutils-arm-pr7093.patch;patch=1 \
+ "
+
+# powerpc patches
+SRC_URI += "file://binutils-2.16.1-e300c2c3.patch;patch=1"
+
diff --git a/recipes/bustle/bustle-dbus-monitor_0.2.0.bb b/recipes/bustle/bustle-dbus-monitor_0.2.0.bb
new file mode 100644
index 0000000000..4d4768f4de
--- /dev/null
+++ b/recipes/bustle/bustle-dbus-monitor_0.2.0.bb
@@ -0,0 +1,19 @@
+DESCRIPTION = "The monitoring utilitiy for the Bustle D-Bus diagram application."
+HOMEPAGE = "http://www.willthompson.co.uk/bustle"
+DEPENDS = "dbus glib-2.0"
+LICENSE = "LGPL"
+SECTION = "console/network"
+
+SRC_URI = "http://www.willthompson.co.uk/bustle/releases/bustle-${PV}.tar.gz"
+S = "${WORKDIR}/bustle-${PV}"
+
+do_compile() {
+ ${CC} ${CFLAGS} ${LDFLAGS} `pkg-config --cflags --libs dbus-1 glib-2.0` -o bustle-dbus-monitor bustle-dbus-monitor.c
+}
+
+do_install() {
+ install -d ${D}${sbindir}
+ install -m 0755 bustle-dbus-monitor ${D}${sbindir}
+}
+
+FILES_${PN} += "${sbindir}"
diff --git a/recipes/clamav/clamav.inc b/recipes/clamav/clamav.inc
index 49b8023a53..5b2069e739 100644
--- a/recipes/clamav/clamav.inc
+++ b/recipes/clamav/clamav.inc
@@ -19,7 +19,6 @@ RRECOMMENDS_${PN}-daemon = "${PN}-freshclam"
RPROVIDES_${PN}-freshclam = "${PN}-data"
SRC_URI = "${SOURCEFORGE_MIRROR}/clamav/clamav-${PV}.tar.gz \
- file://cross-compile-fix.patch;patch=1 \
file://clamav-daemon.init \
file://clamav-freshclam.init \
file://clamd.conf \
@@ -67,10 +66,11 @@ do_stage () {
PACKAGES += "${PN}-freshclam ${PN}-daemon ${PN}-conf ${PN}-data ${PN}-lib \
${PN}-clamconf"
+LEAD_SONAME = "libclamav.so.*"
FILES_${PN} = "${bindir}/clamscan \
${bindir}/sigtool \
${bindir}/clamdscan"
-FILES_${PN}-lib = "${libdir}/libclamav.so.*"
+FILES_${PN}-lib = "${libdir}/libclamav.so.* ${libdir}/libclamunrar.so* ${libdir}/libclamunrar_iface.so*"
FILES_${PN}-conf = "${sysconfdir}/clamd.conf"
FILES_${PN}-clamconf = "${bindir}/clamconf"
FILES_${PN}-freshclam = "${bindir}/freshclam \
diff --git a/recipes/clamav/clamav_0.90.2.bb b/recipes/clamav/clamav_0.90.2.bb
index 9592adf914..740c02a90e 100644
--- a/recipes/clamav/clamav_0.90.2.bb
+++ b/recipes/clamav/clamav_0.90.2.bb
@@ -1,3 +1,5 @@
require clamav.inc
+SRC_URI += "file://cross-compile-fix.patch;patch=1"
+
PR = "r2"
diff --git a/recipes/clamav/clamav_0.90.3.bb b/recipes/clamav/clamav_0.90.3.bb
index e721558efe..2227f01f07 100644
--- a/recipes/clamav/clamav_0.90.3.bb
+++ b/recipes/clamav/clamav_0.90.3.bb
@@ -1,3 +1,5 @@
require clamav.inc
+SRC_URI += "file://cross-compile-fix.patch;patch=1"
+
PR = "r1"
diff --git a/recipes/clamav/clamav_0.91.1.bb b/recipes/clamav/clamav_0.91.1.bb
index e721558efe..2227f01f07 100644
--- a/recipes/clamav/clamav_0.91.1.bb
+++ b/recipes/clamav/clamav_0.91.1.bb
@@ -1,3 +1,5 @@
require clamav.inc
+SRC_URI += "file://cross-compile-fix.patch;patch=1"
+
PR = "r1"
diff --git a/recipes/clamav/clamav_0.94.2.bb b/recipes/clamav/clamav_0.94.2.bb
new file mode 100644
index 0000000000..12fad7afab
--- /dev/null
+++ b/recipes/clamav/clamav_0.94.2.bb
@@ -0,0 +1,3 @@
+require clamav.inc
+
+EXTRA_OECONF += "--program-transform-name=''"
diff --git a/recipes/dbus/dbus.inc b/recipes/dbus/dbus.inc
index 047b33a71c..2a4b19699f 100644
--- a/recipes/dbus/dbus.inc
+++ b/recipes/dbus/dbus.inc
@@ -27,7 +27,7 @@ EXTRA_OECONF = "\
--disable-doxygen-docs \
--with-xml=expat \
--with-x \
- --with-dbus-default-reply-timeout=60000 \
+ --with-dbus-default-reply-timeout=200000 \
"
do_install_append() {
diff --git a/recipes/dbus/dbus_1.2.1.bb b/recipes/dbus/dbus_1.2.1.bb
index 2a663f4bfa..7746c40062 100644
--- a/recipes/dbus/dbus_1.2.1.bb
+++ b/recipes/dbus/dbus_1.2.1.bb
@@ -1,3 +1,3 @@
include dbus.inc
-PR = "r10"
+PR = "r11"
diff --git a/recipes/dialog/dialog-1.0-20050306/configure.patch b/recipes/dialog/dialog-1.0-20050306/configure.patch
deleted file mode 100644
index 754243ad45..0000000000
--- a/recipes/dialog/dialog-1.0-20050306/configure.patch
+++ /dev/null
@@ -1,37 +0,0 @@
-
-#
-# Patch managed by http://www.mn-logistik.de/unsupported/pxa250/patcher
-#
-
---- dialog-0.9b-20031207/configure.in~configure
-+++ dialog-0.9b-20031207/configure.in
-@@ -6,6 +6,8 @@
- AC_CONFIG_HEADER(dlg_config.h:config.hin)
-
- CF_VERSION_INFO(dialog)
-+AH_TEMPLATE([DIALOG_VERSION], [Define to dialog version])
-+AH_TEMPLATE([DIALOG_PATCHDATE], [Define to dialog patchdate])
-
- DESTDIR=
- AC_SUBST(DESTDIR)
-@@ -146,6 +148,20 @@
- wget_wch \
- )
-
-+AH_TEMPLATE([HAVE_COLOR],
-+ [Define if you have the start_color function])
-+AH_TEMPLATE([HAVE_FORMBOX],
-+ [Define if you want the form dialog])
-+AH_TEMPLATE([HAVE_GAUGE],
-+ [Define if you want the gauge dialog])
-+AH_TEMPLATE([HAVE